REBOL [
	Purpose: "RSP environement init code"
]

on-application-start: does [
	do %private/mysql-protocol.r
	do load %private/curecode.conf
	do %private/helper.r
	do %private/db-abstract.r
	do %private/access-control.r
	do %private/captcha.r
	captcha/set-fonts-path %private/fonts/
]

on-application-end: does []

on-session-start: has [list][
	session/add 'project-id 1
	session/add 'user-id 	none
	session/add 'user-name	none
	session/add 'user-role	'viewer
	session/add 'user-prj-role none
	session/add 'query none
]

on-session-end: does []

on-page-start: has [][
	set 't0 now/time/precise
	poke response/stats 1 0
	filter-access
]

on-page-end: has [pos time][
	if pos: find response/buffer "</body>" [
		time: to-integer 1000 * to-decimal (now/time/precise - t0)
		insert pos reform [
			"<br><br><small>Processed in :"
			either zero? time ["< 1"][time]
			"ms.<br>SQL queries :"
			response/stats/1
			"</small>"
		]
	]
]

halt